UnsatisfiedLinkError (Java Platform SE 8 )
Keywords: java.lang.UnsatisfiedLinkError class
Date: 2026-04-17

compact1, compact2, compact3
java.lang

## Class UnsatisfiedLinkError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.UnsatisfiedLinkError

- All Implemented Interfaces:
    Serializable

      public class UnsatisfiedLinkError
      extends LinkageError

  Thrown if the Java Virtual Machine cannot find an appropriate native-language definition of a method declared `native`.
  Since:
    JDK1.0
  See Also:
    `Runtime`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsatisfiedLinkError()` Constructs an `UnsatisfiedLinkError` with no detail message.
    `UnsatisfiedLinkError(String s)` Constructs an `UnsatisfiedLinkError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsatisfiedLinkError

          public UnsatisfiedLinkError()

      Constructs an `UnsatisfiedLinkError` with no detail message.

    - #### UnsatisfiedLinkError

          public UnsatisfiedLinkError(String s)

      Constructs an `UnsatisfiedLinkError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.